Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOPC.cpp File Reference

`#include "IOPC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "IOPC.i"`

Include dependency graph for IOPC.cpp:

## Defines
#define | _IOP_TAGGEDPROFILE__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_
#define | _IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_
#define | _IOP_TAGGEDCOMPONENT__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CS_
#define | _IOP_MULTIPLECOMPONENTPROFILE_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CS_
#define | _IOP_TAGGEDCOMPONENTLIST_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CS_
#define | _IOP_TAGGEDCOMPONENTSEQ_CS_
#define | _IOP_SERVICECONTEXT__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CS_
#define | _IOP_SERVICECONTEXTLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_IOP_ProfileId (CORBA::tk_alias, sizeof(_oc_IOP_ProfileId),(char *)&_oc_IOP_ProfileId, 0, sizeof(IOP::ProfileId))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(IOP) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedProfile (CORBA::tk_struct, sizeof(_oc_IOP_TaggedProfile),(char *)&_oc_IOP_TaggedProfile, 0, sizeof(IOP::TaggedProfile))
CORBA::TypeCode | _tc_TAO_tc_IOP_IOR (CORBA::tk_struct, sizeof(_oc_IOP_IOR),(char *)&_oc_IOP_IOR, 0, sizeof(IOP::IOR))
CORBA::TypeCode | _tc_TAO_tc_IOP_ComponentId (CORBA::tk_alias, sizeof(_oc_IOP_ComponentId),(char *)&_oc_IOP_ComponentId, 0, sizeof(IOP::ComponentId))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponent (CORBA::tk_struct, sizeof(_oc_IOP_TaggedComponent),(char *)&_oc_IOP_TaggedComponent, 0, sizeof(IOP::TaggedComponent))
CORBA::TypeCode | _tc_TAO_tc_IOP_MultipleComponentProfile (CORBA::tk_alias, sizeof(_oc_IOP_MultipleComponentProfile),(char *)&_oc_IOP_MultipleComponentProfile, 0, sizeof(IOP::MultipleComponentProfile))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponentList (CORBA::tk_alias, sizeof(_oc_IOP_TaggedComponentList),(char *)&_oc_IOP_TaggedComponentList, 0, sizeof(IOP::TaggedComponentList))
CORBA::TypeCode | _tc_TAO_tc_IOP_TaggedComponentSeq (CORBA::tk_alias, sizeof(_oc_IOP_TaggedComponentSeq),(char *)&_oc_IOP_TaggedComponentSeq, 0, sizeof(IOP::TaggedComponentSeq))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceId (CORBA::tk_alias, sizeof(_oc_IOP_ServiceId),(char *)&_oc_IOP_ServiceId, 0, sizeof(IOP::ServiceId))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceContext (CORBA::tk_struct, sizeof(_oc_IOP_ServiceContext),(char *)&_oc_IOP_ServiceContext, 0, sizeof(IOP::ServiceContext))
CORBA::TypeCode | _tc_TAO_tc_IOP_ServiceContextList (CORBA::tk_alias, sizeof(_oc_IOP_ServiceContextList),(char *)&_oc_IOP_ServiceContextList, 0, sizeof(IOP::ServiceContextList))
void | tao_IOP_Codec_release (IOP::Codec_ptr p)
IOP::Codec_ptr | tao_IOP_Codec_nil (void)
IOP::Codec_ptr | tao_IOP_Codec_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_IOP_Codec_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_IOP_EncodingFormat (CORBA::tk_alias, sizeof(_oc_IOP_EncodingFormat),(char *)&_oc_IOP_EncodingFormat, 0, sizeof(IOP::EncodingFormat))
CORBA::TypeCode | _tc_TAO_tc_IOP_Encoding (CORBA::tk_struct, sizeof(_oc_IOP_Encoding),(char *)&_oc_IOP_Encoding, 0, sizeof(IOP::Encoding))
IOP::CodecFactory_ptr | tao_IOP_CodecFactory_duplicate (IOP::CodecFactory_ptr p)
void | tao_IOP_CodecFactory_release (IOP::CodecFactory_ptr p)
IOP::CodecFactory_ptr | tao_IOP_CodecFactory_nil (void)
IOP::CodecFactory_ptr | tao_IOP_CodecFactory_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_IOP_CodecFactory_upcast (void *src)
## Variables
const CORBA::Long | _oc_IOP_ProfileId []
const CORBA::Long | _oc_IOP_IOR []
const CORBA::Long | _oc_IOP_ComponentId []
const CORBA::Long | _oc_IOP_MultipleComponentProfile []
const CORBA::Long | _oc_IOP_TaggedComponentList []
const CORBA::Long | _oc_IOP_TaggedComponentSeq []
const CORBA::Long | _oc_IOP_ServiceContextList []

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CS_

#define _IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CS_

#define _IOP_MULTIPLECOMPONENTPROFILE_CS_

#define _IOP_SERVICECONTEXT__TAO_SEQ_OCTET_CS_

#define _IOP_SERVICECONTEXTLIST_CS_

#define _IOP_TAGGEDCOMPONENT__TAO_SEQ_OCTET_CS_

#define _IOP_TAGGEDCOMPONENTLIST_CS_

#define _IOP_TAGGEDCOMPONENTSEQ_CS_

#define _IOP_TAGGEDPROFILE__TAO_SEQ_OCTET_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_IOP_ComponentId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ComponentId) | ,
|  | (char *)& | _oc_IOP_ComponentId,
|  | 0 | ,
|  | sizeof(IOP::ComponentId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_Encoding | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_Encoding) | ,
|  | (char *)& | _oc_IOP_Encoding,
|  | 0 | ,
|  | sizeof(IOP::Encoding) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_EncodingFormat | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_EncodingFormat) | ,
|  | (char *)& | _oc_IOP_EncodingFormat,
|  | 0 | ,
|  | sizeof(IOP::EncodingFormat) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_IOR | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_IOR) | ,
|  | (char *)& | _oc_IOP_IOR,
|  | 0 | ,
|  | sizeof(IOP::IOR) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_MultipleComponentProfile | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_MultipleComponentProfile) | ,
|  | (char *)& | _oc_IOP_MultipleComponentProfile,
|  | 0 | ,
|  | sizeof(IOP::MultipleComponentProfile) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ProfileId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ProfileId) | ,
|  | (char *)& | _oc_IOP_ProfileId,
|  | 0 | ,
|  | sizeof(IOP::ProfileId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContext | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_ServiceContext) | ,
|  | (char *)& | _oc_IOP_ServiceContext,
|  | 0 | ,
|  | sizeof(IOP::ServiceContext) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContextList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ServiceContextList) | ,
|  | (char *)& | _oc_IOP_ServiceContextList,
|  | 0 | ,
|  | sizeof(IOP::ServiceContextList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_ServiceId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_ServiceId) | ,
|  | (char *)& | _oc_IOP_ServiceId,
|  | 0 | ,
|  | sizeof(IOP::ServiceId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponent | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_TaggedComponent) | ,
|  | (char *)& | _oc_IOP_TaggedComponent,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponent) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponentList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_TaggedComponentList) | ,
|  | (char *)& | _oc_IOP_TaggedComponentList,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponentList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedComponentSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_IOP_TaggedComponentSeq) | ,
|  | (char *)& | _oc_IOP_TaggedComponentSeq,
|  | 0 | ,
|  | sizeof(IOP::TaggedComponentSeq) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_IOP_TaggedProfile | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_IOP_TaggedProfile) | ,
|  | (char *)& | _oc_IOP_TaggedProfile,
|  | 0 | ,
|  | sizeof(IOP::TaggedProfile) |
| ) | `[static]`

IOP::Codec_ptr tao_IOP_Codec_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

IOP::Codec_ptr tao_IOP_Codec_nil | ( | void |  | ) |

void tao_IOP_Codec_release | ( | IOP::Codec_ptr | p | ) |

CORBA::Object* tao_IOP_Codec_upcast | ( | void * | src | ) |

IOP::CodecFactory_ptr tao_IOP_CodecFactory_duplicate | ( | IOP::CodecFactory_ptr | p | ) |

IOP::CodecFactory_ptr tao_IOP_CodecFactory_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

IOP::CodecFactory_ptr tao_IOP_CodecFactory_nil | ( | void |  | ) |

void tao_IOP_CodecFactory_release | ( | IOP::CodecFactory_ptr | p | ) |

CORBA::Object* tao_IOP_CodecFactory_upcast | ( | void * | src | ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_IOP_ComponentId[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      32,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x436f6d70),
      ACE_NTOHL (0x6f6e656e),
      ACE_NTOHL (0x7449643a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x436f6d70),
      ACE_NTOHL (0x6f6e656e),
      ACE_NTOHL (0x74496400),
      CORBA::tk_ulong,

    }

const CORBA::Long _oc_IOP_IOR[]`[static]`

const CORBA::Long _oc_IOP_MultipleComponentProfile[]`[static]`

const CORBA::Long _oc_IOP_ProfileId[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      30,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x50726f66),
      ACE_NTOHL (0x696c6549),
      ACE_NTOHL (0x643a312e),
      ACE_NTOHL (0x30000000),
      10,
      ACE_NTOHL (0x50726f66),
      ACE_NTOHL (0x696c6549),
      ACE_NTOHL (0x64000000),
      CORBA::tk_ulong,

    }

const CORBA::Long _oc_IOP_ServiceContextList[]`[static]`

const CORBA::Long _oc_IOP_TaggedComponentList[]`[static]`

const CORBA::Long _oc_IOP_TaggedComponentSeq[]`[static]`